Introduction

Start of Help


Dat4T

Dat4T – The pre-processor for EngMod4T

Dat4T was developed by

Neels van Niekerk

of

Vannik Racing Developments

Dat4T is the preprocessor for the 1-dimensional gasdynamic multi cylinder four stroke engine simulation software, EngMod4T. This Help-system describes the required input variables and options available. It also describes the pipe numbering system and gives a brief overview of some of the models used.

The simulation models and simulation methods used in EngMod4T are mostly based on the work of Professor Emeritus Gordon P Blair of The Queen's University of Belfast.


License Agreement

This software is licensed to run on a single computer.

Engine designs that you independently generate using the EngMod4T software suit (Dat4T, EngMod4T and Post4T) may be used, given away, or sold without additional license or fees. You are not required to say that your designs were developed using EngMod4T.

The sample engine designs distributed with the EngMod4T software suit provide a demonstration of the various features of EngMod4T. They are intended for educational purposes only. C G J van Niekerk grants you (the registered owner of this copy of EngMod4T) the right to edit or modify these sample designs for your own use, but you may not give them away or sell them.

This manual and software are protected by both South African copyright law and International treaty provisions, with the following single exception. C G J van Niekerk authorizes you to make archival copies of the software for the sole purpose of backing-up this software and protecting this software from loss.


Disclaimer

Although great care has been taken to ensure accurate and representative models of all the thermodynamic and gasdynamic processes are used, at the end of the day they are just that: Models of reality. The modeler should therefore keep the following in mind:

C G J van Niekerk specifically disclaims all other warranties, expressed or implied, including but not limited to implied warranties of merchantability and fitness for a particular purpose with respect to defects in the diskette or documentation, and the software license granted herein in particular, and without limiting operation of the software license with respect to any particular application, use, or purpose.

Modifying road car or motorcycle engines may result in the vehicle failing the requirements of the relevant state Road Traffic Authority and therefore being declared unroadworthy and unregistered.

The price of man in motion is the occasional accident and/or collision. Testing vehicle performance may be dangerous. Motor racing is dangerous. This software package is about improving the performance of the motor vehicle, motor cycle, motor boat or any other vehicle, boat or aircraft. It deals with developing and changing engine characteristics. Anyone who uses this program and/or manual as a guide for vehicle modification does so entirely at their own risk.

In no event shall C G J van Niekerk be liable for any loss of profit or any other commercial damage, including but not limited to special, consequential or other damages arising from the application of any information, dimensional changes or data because of using this package.


Project Layout

Dat4T creates or edits projects for use by EngMod4T. A project consists of a collection of subsystems that are stored in individual files. A main project file contains the list of subsystem files. The name of this project file is the name of the engine to be simulated. A project consists of the following:

Project File (ProjectName.pjt)

This file contains a list of all the subsystem file names. When a new project is created Dat4T automatically creates subsystem files with the project name. The user can then use these names or change them to existing subsystem names. If the new names are used they will be empty subsystems that has to be populated by the user.

Engine Subsystem (EngineName.eng)

The engine subsystem describes the basic engine layout and geometry. It also contains some starting values and control values for the main simulation.

Exhaust Cam, Port and Valve Subsystem (ExhaustPortName.exp)

This contains all the data for the exhaust cam, the port dimensions, the flow conditions and the number and dimensions of the valves.

Inlet Cam, Port and Valve Subsystem (InletPortName.ipo)

This contains all the data for the inlet cam, the port dimensions, the flow conditions and the number and dimensions of the valves.

Exhaust Subsystem (ExhaustName.exl, ExhaustName.exd)

These files contain all the relevant information to describe the type and layout of the exhaust system. The first file describes the type of system, sets up the atmospheric and plenum connectivity, specifies the collector angles and plenum volumes and gives the length dimensions of all the pipes.

The second file contains all the pipe diameters.

Intake Subsystem (IntakeName.inl, IntakeName.ind)

These files contain all the relevant information to describe the type and layout of the intake system. The first file describes the type of system, sets up the atmospheric and plenum connectivity, specifies the collector angles, plenum volumes and throttle type and dimensions and gives the length dimensions of all the pipes.

The second file contains all the pipe diameters.

Combustion and Ignition Subsystem (CombustionName.cbd)

This subsystem describes the combustion model and parameters, specifies the type of fuel and the combustion efficiency and contains generic combustion chamber details.

Temperature and Atmospheric Subsystem (TemperatureName.tmp)

This subsystem describes the combustion model and parameters, specifies the type of fuel and the combustion efficiency and contains generic combustion chamber details.

Additional Files

A project contains additional files, some are currently being used and others are meant for use with future upgrades of the software.

ExhaustName.sil Currently used to contain the exhaust silencer data. The silencer subsystem is still undergoing development and is only partially active.

Projectname.trb This will some time in the future contain the turbo or super charger data when this subsystem has been developed.

ExhaustPortName.exc This file is being used to contain the exhaust valve lift profile in the format as used by EngMod4T

IntakePortName.inc This file is being used to contain the intake valve lift profile in the format as used by EngMod4T

Projectname.prt This file gives a printable summary all the subsystems as contained in the project file.


Start-Up


Start Dat4T by double clicking on the Dat4T icon

Starting Dat4T

Start Dat4T by double clicking on the Dat4T icon.

This will bring up a dialog box that will display the program version and with two command buttons.

Click on “OK” to continue or on “Exit Program” to quit the program.


New Project

Creating a New Project

Start Dat4T by double clicking on the program icon.

After clicking on the “OK”- button on the startup page the following dialog box will appear:

ProjectDialog.gif (6631 bytes)

The dialog box will list all the available projects in the startup folder. To start a new project click on the “New Project” button. This will bring up the following dialog box:

NewProjectDialog.gif (2906 bytes)

Type the name for the new project in the edit box and click on the “OK”- button. This will then create the new project subsystem files using the project name as the default names for the subsystem names. A list of the subsystem names will appear in the following dialog box:

NewSubsystemDialog.gif (6192 bytes)

It is possible to select alternative existing subsystems at this stage by clicking on the name of the subsystem to be changed. This is described in more detail in Changing or Creating New Subsystems. If you are satisfied with the names, click the “Continue”- button.


Modifying an Existing Project

After clicking on the “OK”- button on the startup page the following dialog box will appear:

ProjectDialog.gif (6631 bytes)

The dialog box will list all the available projects in the startup folder. To select an existing project click on the project name and click the “OK”- button or double click on the project name. This will bring up a dialog box with a list of the subsystem files:

SubsystemDialog.gif (6407 bytes)

It is possible to select alternative existing subsystems at this stage by clicking on the name of the subsystem to be changed. This is described in more detail in Changing or Creating NewSubsystems. Click on the “Continue”- button. This will bring up the main editing menu:

MainMenu.gif (5592 bytes)

Choose the subsystem to be modified from this menu by typing the line number of the relevant subsystem and by pressing ‘Enter’.


Selecting a New Sub

Selecting a New Sub-System

When the subsystem dialog is displayed (After opening a new or existing project) it lists the subsystems in the project file.

SubsystemDialog.gif (6407 bytes)

The subsystem is changed by clicking on its name. This will then bring a new dialog box up with a list of the existing subsystem files in that folder and with an edit box.

AvailableSubSystemDialog.gif (6683 bytes)

An existing subsystem can be chosen by double clicking on it or by clicking on it and clicking the “OK”- button. Alternatively, a new subsystem can be created by entering its name in the edit box and clicking on the “OK”- button. This will return you to the Subsystem dialog box where the new subsystem name will now be displayed. Another subsystem can now be changed. Once you are satisfied with the selected subsystems click the “Continue”- button on the subsystem dialog box. If a new subsystem was created for an existing project, the main menu will be bypassed and the program will go directly to the new subsystem input menu. For a subsystem that already exists the program will continue to the main editing menu.


Basic Engine DataH

Engine and Simulation Data


Description of Engine Parameters

When creating a new engine the program will prompt you with a list of questions. They are described in this section.

Engine Induction

When creating a new engine file the first choice is to decide between a naturally aspirated engine and a turbo/supercharged one. This version of the software allows naturally aspirated engines only.

Type of Ignition

The next choice is the type of ignition system. There are two types to choose from; spark ignition (typically gasoline or alcohol) and compression ignition (typically diesel). The choice will influence the loss factors for mechanical efficiency and the fuel types available in the combustion subsystem.

Number of Cylinders

Choose the number of cylinders. If for instance a V-engine is modelled where no interconnection exists between the intake and the exhaust system of the left and right hand banks of cylinders it is more efficient to model only one bank. This reduces run times. If the exhaust and intake systems are completely separate for each cylinder it is only necessary to model one cylinder.

Engine Layout

If the number of cylinders are larger than 1 the type of engine layout has to be specified. There are three possible choices:

· Inline engine

· V-layout

· Flat layout (also known as opposed cylinders or boxer)

Bearing Type

The choice is between a plain bearing and a roller type bearing. This is used in the calculation of the mechanical efficiency.

Bore

Enter the cylinder bore in millimetres. Only round bores are modelled.

Stroke

Enter the stroke length in millimetres.

Conrod Length

Enter the conrod length in millimetres. The length of the conrod influences the movement of the piston and should be as accurate as possible.

Gudgeon Pin and/or Cylinder Offset

Enter the offset in millimetres. The offset influences the movement of the piston and should be as accurate as possible. A positive value means the offset is in the direction of crankshaft rotation.

Geometric Compression Ratio

This is the compression ratio calculated using the full stroke and is used to determine the trapped head volume at TDC.

Squish Clearance

This is the clearance between the piston crown and the head at TDC and is used to determine the trapped head volume at TDC.

RPM at maximum power

This value is used in the pipe wall temperature subroutine where the pipe wall temperature is scaled according to the simulated rpm in relation to the maximum power rpm.

Exhaust Pressure Transducer

The software allows the placement of a pressure transducer in each exhaust port or header pipe. This dimension is the distance the transducer is placed from the exhaust valve face in millimetres. If the distance is greater than the exhaust port it is automatically placed in the header pipe else it is in the port. If the distance places it further away from the valve face than the sum of the port and header lengths it is positioned at the end of the header pipe.

Intake Pressure Transducer

The software allows the placement of a pressure transducer in each intake port or cylinder pipe. This dimension is the distance the transducer is placed from the intake valve face in millimetres. If the distance is greater than the intake port it is automatically placed in the cylinder pipe else it is in the port. If the distance places it further away from the valve face than the sum of the port and cylinder pipe lengths it is positioned at the start of the cylinder pipe.

Number of Iteration Cycles

This determines the number of complete engine cycles (where one cycle is two revolutions) that the engine will be simulated for. The minimum allowed is 8 as this is typically the least number of cycles for the calculation to stabilise. Some engines require more but very seldom more than 12.

Throttle Open Ration

This is a number greater than 0 and less or equal to 1. If the slide or butterfly has moved through 50% of its lift or angle the ratio is 0.5 etc.

Engine Firing Order and Layout of the Crankshaft

A range of firing orders and crank layouts are available. This include single plane, two plane and multi-plane crank layouts with most of the more common firing orders available.


When choosing to edit the engine from the main menu an engine submenu is displayed with the current engine characteristics

Editing an Existing Engine

When choosing to edit the engine from the main menu an engine submenu is displayed with the current engine characteristics. Choose the value to be changed and implement the change.

EditEngine.gif (7904 bytes)

Once the values have been changed enter “0” to return to the main menu. Refer to New Engine for an explanation of the variables.


Exhaust Cam, Ports and Valves

Exhaust Port, Cam and Valve Data


New Port, Cam and Valve

Create New Exhaust Port, Valve And Cam


NewExCamImport

Creating a new Exhaust port with an Imported Cam Lift Profile

This section of the help pages describes how to import an existing valve lift file. The user will be prompted to supply the following information:

Port and Valve Data

This section of the input data is identical for all the valves and cams.

Number of valves

The maximum number of exhaust valves allowed is 2 and the minimum is 1.

Valve Masking

By choosing the amount of valve masking (interference to the flow by the proximity of the cylinder liner), together with the number of valves, the program will choose the relevant coefficient of discharge maps. Currently the choices are:

  • 1 – fully free flow
  • 2 – partially masked

Valve Seat Outer Diameter

The outer diameter of the valve seat contact area in the head in millimetres.

Valve Seat Inner Diameter

The inner diameter of the valve seat contact area in the head in millimetres.

Port Diameter at Valve

The diameter of the narrowest part of the port at the valve end of the port in millimetres. This dimension is usually slightly smaller than the valve seat inner diameter but will not be bigger than it.

Port Diameter at Manifold

The port diameter in the head at the exhaust manifold face.

Valve Stem Diameter

Diameter of valve stem in millimetres. This is the diameter of the portion of the valve stem in the port.

Valve Seat Angle

The valve seat angle is half the included angle of the valve seat.

Length of Port Passage

This is the effective or mean length of the port from the valve seat surface to the manifold or spigot face in millimetres.

Tappet Clearance

This is the tappet clearance or valve train lash in millimetres. If the imported cam file is measured to include the lash take-up ramp, this clearance is the actual clearance as used in the engine. If the start of the lift file is partially or fully up this ramp, the user will have to experiment with this setting to achieve the correct valve opening and closing points.

Cam Data

The cam, or more accurately, the valve lift data is imported as a file. This data can be generated by another application all together. This file must have the following format:

  • An optional user specified number of header rows that describes the file content. (min=0)
  • Following this, two columns that are space or tab delimited that lists the degree values in column one and the lift values in column two.
  • The degree values can be either crankshaft or camshaft degrees. The program will make the adjustment internally.
  • The degrees must increase in steps of one degree per lift value and must start at zero lift and end again at zero lift.

Imported File Name

The name of the imported file with its extension. The maximum total length including the extension is 80 characters. For this version of the program this file must be in the same directory as Project

Line Number Where Lift Data Starts

The imported file can have lines at the start of the file containing headers and other descriptors and values. The software requires the number of the line where the actual degree and lift data starts.

Crankshaft or Camshaft Degrees

As it is possible to have a lift profile in either crankshaft or camshaft degrees the user has to specify which format is used in the imported file.

Cam Timing Indexing Option

To index the imported data to have the correct valve timing is not always simple. Two methods are provided:

  • The first (and preferred) method is to specify the lobe centre position BTDC. The lobe centre is defined as the centre of the dwell period or in the case of no dwell, the point of the highest lift. On a symmetrical lobe this is halfway between the opening and closing points, but on a non-symmetrical profile this is not necessary the case.
  • The second method is to specify the valve opening point. Depending on how the cam was measured and on the tappet clearance specified, this could lead to large errors in the valve timing as the program uses the opening at zero tappet clearance to index the cam.

With either method the user might have to make adjustments to the indexing degrees and tappet clearance to obtain the correct timing and duration.

Depending on the Indexing method chosen the user will be prompted for:

Cam Lobe Centre Position

The cam lobe centre is defined as the centre point of the dwell period or as the point at maximum lift for a cam with zero dwell. It is specified in degrees BTDC.

or

Valve Opening before BDC

The actual point of valve opening in degrees before bottom dead centre (BBDC). This is the point in a real engine where all the lash in the valve train has been taken up.

At the end of this the screen will display typically the following data:

NewExImport1.gif (8677 bytes)

And after entering the final line a summary will follow that looks as follows:

NewExImport2.gif (6069 bytes)

At this point in time it is possible to edit the data if you are not satisfied with the results. This is described in Editing an existing imported cam.


NewExCamCreate

Creating a new Exhaust port with a User Generated Cam Lift Profile

This section of the help pages describes how to create a generic cam profile using the internal cam profile generator. The user will be prompted to supply the following information:

Port and Valve Data

This section of the input data is identical for all the valves and cams.

Number of valves

The maximum number of exhaust valves allowed is 2 and the minimum is 1.

Masking of valves

By choosing the amount of valve masking (interference to the flow by the proximity of the cylinder liner), together with the number of valves, the program will choose the relevant coefficient of discharge maps. Currently the choices are:

  • 1 – fully free flow
  • 2 – partially masked

Valve Seat Outer Diameter

The outer diameter of the valve seat contact area in the head in millimetres.

Valve Seat Inner Diameter

The inner diameter of the valve seat contact area in the head in millimetres.

Port Diameter at Valve

The diameter of the narrowest part of the port at the valve end of the port in millimetres. This dimension is usually slightly smaller than the valve seat inner diameter but will not be bigger than it.

Port Diameter at Manifold

The port diameter in the head at the exhaust manifold face.

Valve Stem Diameter

Diameter of valve stem in millimetres. This is the diameter of the portion of the valve stem in the port.

Valve Seat Angle

The valve seat angle is half the included angle of the valve seat.

Length of Port Passage

This is the effective or mean length of the port from the valve seat surface to the manifold or spigot face in millimetres.

Tappet Clearance

This is the tappet clearance or valve train lash in millimetres. The typical value for a generated lift profile is zero.

Cam Data

The generated lift profile is based on the method described by Blair (p35-p45). The lift profile is divided into 5 phases and a 3rd order polynomial is fitted to the first two and the last two. It is important to note that this is the valve lift profile, which is the same as the cam lift profile for a direct acting camshaft but can be substantially different for a system with rockers and/or roller followers.

The first phase is known as the opening ramp. This is the phase from valve opening until the end of positive acceleration and should not be confused with the ramp that takes up the lash adjustment. The duration of this phase is usually 40 degrees. The height of the valve lift during this phase is typically 0.2 times the main lift for high performance engines and up to 0.5 times for low revving diesel engines. This value determines the amplitude of maximum positive acceleration on the opening side.

The third phase is the dwell period at maximum lift and can vary from zero to typically 10 degrees. High performance engines tend to have zero degrees dwell. The centre of the dwell period or the point of maximum lift is defined as the lobe centre.

The second phase, the main opening lift phase, is the period from the end of the up ramp until the start of the dwell phase or in the case of zero dwell, until maximum lift is reached. The acceleration is negative.

The fourth phase, the main closing lift phase, is the period from the end of the dwell phase or in the case of zero dwell, from maximum lift until the start of the closing ramp. The acceleration is negative.

The fifth phase is the closing ramp and has the same typical values as the closing ramp. It starts at the end of the main closing lift and continues to the point of valve closing. This value determines the amplitude of maximum positive acceleration on the closing side.

This method of cam profile generation starts at valve opening and ends at valve closing, thus the effect of lash or tappet clearance has already been taken into consideration and should be set to 0. The final output screen should show the inputted opening and closing values at tappet clearance. To achieve special effects the engine modeller might experiment with this to achieve special lift profiles.

By specifying a non-central lobe centre and/or different opening and closing ramp and main lift values a non-symmetrical lift profile can be generated.

The generated cam profile is stored in a file with the same name as this subsystem but with the .eco extension. It is a normal ASCI file and can be view with a standard spreadsheet program.

Valve Opening before BDC

The actual point of valve opening in degrees before bottom dead centre (BBDC). This is the point in a real engine where all the lash in the valve train has been taken up.

Valve Closing after TDC

The actual point of valve closing in degrees after top dead centre (ATDC). This is the point in a real engine where all the lash in the valve train has been taken up.

Lift of Valve

The lift of the valve from the opening point to the centre of the lobe in millimetres.

Opening Ramp Ratio

The fraction of the valve lift during the opening positive acceleration phase. (typically 0.2 for a high performance high revving engine and up to 0.5 for a low revving diesel engine)

Closing Ramp Ratio

The fraction of the valve lift during the closing positive acceleration phase. (typically 0.2 for a high performance high revving engine and up to 0.5 for a low revving diesel engine) On a symmetrical lift profile it has the same value as the opening ramp.

Opening Ramp Duration

The duration of the valve lift during the opening positive acceleration phase. The polynomial was derived for a period of 40 degrees and it is advisable to use this value.

Closing Ramp Duration

The duration of the valve lift during the closing positive acceleration phase. The polynomial was derived for a period of 40 degrees and it is advisable to use this value.

Dwell Duration

The period in degrees that the valve spends at maximum lift. Values range from zero to 10 degrees.

Cam Lobe Centre Position

The cam lobe centre is defined as the centre point of the dwell period or as the point at maximum lift for a cam with zero dwell. It can be defined in the following two ways:

  • Central – uses the centrepoint of the lift curve on a symmetrical profile
  • Degrees after valve opening – used for a non-symmetrical profile.

At the end of this the screen will display typically the following data:

NewExCreate1.gif (8869 bytes)

And after entering the final line a summary will follow that looks as follows:

NewExCreate2.gif (7167 bytes)

At this point in time it is possible to edit the data if you are not satisfied with the results. This is described in Editing an existing created cam.


Edit Cam, Port and Valve

Edit Existing Exhaust Port, Valve And Cam


Editing an existing Exhaust port with an Imported Cam Lift Profile

Editing an existing subsystem with an imported cam profile will open the following menu:

OldExImport1.gif (7913 bytes)

Type the number of the value to be changed and press ‘Enter”. This will open a small menu where the new value is typed in and entered. The main subsystem menu will be updated. Once all the changes has been made type ‘0’ and ‘Enter’. A summary of the cam data will be shown:

OldExImport2.gif (6043 bytes)

If more changes are required type ‘1’ and ‘Enter’ else type ‘0’ to return to the main menu.


Editing an existing Exhaust port with a User Generated Cam Lift Profile

Editing an existing subsystem with a user generated cam profile will open the following menu:

OldExCreate1.gif (8670 bytes)

Type the number of the value to be changed and press ‘Enter”. This will open a small menu where the new value is typed in and entered. The main subsystem menu will be updated. Once all the changes has been made type ‘0’ and ‘Enter’. A summary of the cam data will be shown:

OldExCreate2.gif (6038 bytes)

If more changes are required type ‘1’ and ‘Enter’ else type ‘0’ to return to the main menu.


Exhaust Cam, Ports and Valves

Inlet Port, Cam and Valve Data


New Port, Cam and Valve

Create New Inlet Port, Valve And Cam


NewInCamImport

Creating a new Inlet port with an Imported Cam Lift Profile

This section of the help pages describes how to import an existing valve lift file. The user will be prompted to supply the following information:

Port and Valve Data

This section of the input data is identical for all the valves and cams.

Number of valves

The maximum number of inlet valves allowed is 3 and the minimum is 1.

Valve Masking

By choosing the amount of valve masking (interference to the flow by the proximity of the cylinder liner), together with the number of valves, the program will choose the relevant coefficient of discharge maps. Currently the choices are:

  • 1 – fully free flow
  • 2 – partially masked

InValve.bmp (21002 bytes)

Valve Seat Outer Diameter

The outer diameter of the valve seat contact area in the head in millimetres.

Valve Seat Inner Diameter

The inner diameter of the valve seat contact area in the head in millimetres.

Port Diameter at Valve

The diameter of the narrowest part of the port at the valve end of the port in millimetres. This dimension is usually slightly smaller than the valve seat inner diameter but will not be bigger than it.

Port Diameter at Manifold

The port diameter at the intake manifold face or start of the intake spigot, depending on the carburettor, throttle body or trumpet fixing method.

Valve Stem Diameter

Diameter of valve stem in millimetres. This is the diameter of the portion of the valve stem in the port.

Valve Seat Angle

The valve seat angle is half the included angle of the valve seat.

Length of Port Passage

This is the effective or mean length of the port from the valve seat surface to the manifold or spigot face in millimetres.

Tappet Clearance

This is the tappet clearance or valve train lash in millimetres. If the imported cam file is measured to include the lash take-up ramp, this clearance is the actual clearance as used in the engine. If the start of the lift file is partially or fully up this ramp, the user will have to experiment with this setting to achieve the correct valve opening and closing points.

Cam Data

The cam, or more accurately, the valve lift data is imported as a file. This data can be generated by another application all together. This file must have the following format:

  • An optional user specified number of header rows that describes the file content. (min=0)
  • Following this, two columns that are space or tab delimited that lists the degree values in column one and the lift values in column two.
  • The degree values can be either crankshaft or camshaft degrees. The program will make the adjustment internally.
  • The degrees must increase in steps of one degree per lift value and must start at zero lift and end again at zero lift.

Imported File Name

The name of the imported file with its extension. The maximum total length including the extension is 80 characters. For this version of the program this file must be in the same directory as Project

Line Number Where Lift Data Starts

The imported file can have lines at the start of the file containing headers and other descriptors and values. The software requires the number of the line where the actual degree and lift data starts.

Crankshaft or Camshaft Degrees

As it is possible to have a lift profile in either crankshaft or camshaft degrees the user has to specify which format is used in the imported file.

Cam Timing Indexing Option

To index the imported data to have the correct valve timing is not always simple. Two methods are provided:

  • The first (and preferred) method is to specify the lobe centre position ATDC. The lobe centre is defined as the centre of the dwell period or in the case of no dwell, the point of the highest lift. On a symmetrical lobe this is halfway between the opening and closing points, but on a non-symmetrical profile this is not necessary the case.
  • The second method is to specify the valve opening point. Depending on how the cam was measured and on the tappet clearance specified, this could lead to large errors in the valve timing as the program uses the opening at zero tappet clearance to index the cam.

With either method the user might have to make adjustments to the indexing degrees and tappet clearance to obtain the correct timing and duration.

Depending on the Indexing method chosen the user will be prompted for:

Cam Lobe Centre Position

The cam lobe centre is defined as the centre point of the dwell period or as the point at maximum lift for a cam with zero dwell. It is specified in degrees ATDC.

or

Valve Opening before TDC

The actual point of valve opening in degrees before top dead centre (BTDC). This is the point in a real engine where all the lash in the valve train has been taken up.

At the end of this the screen will display typically the following data:

NewInImport1.gif (8626 bytes)

And after entering the final line a summary will follow that looks as follows:

NewInImport2.gif (6083 bytes)

At this point in time it is possible to edit the data if you are not satisfied with the results. This is described in Editing an existing imported cam.


The first choice when starting a new subsystem is whether to create a generic cam profile using the internal cam profile gener

Creating a new Inlet port with a User Generated Cam Lift Profile

This section of the help pages describes how to create a generic cam profile using the internal cam profile generator. The user will be prompted to supply the following information:

Port and Valve Data

This section of the input data is identical for all the valves and cams.

Number of valves

The maximum number of inlet valves allowed is 3 and the minimum is 1.

Masking of valves

By choosing the amount of valve masking (interference to the flow by the proximity of the cylinder liner), together with the number of valves, the program will choose the relevant coefficient of discharge maps. Currently the choices are:

  • 1 – fully free flow
  • 2 – partially masked

InValve.bmp (21002 bytes)

Valve Seat Outer Diameter

The outer diameter of the valve seat contact area in the head in millimetres.

Valve Seat Inner Diameter

The inner diameter of the valve seat contact area in the head in millimetres.

Port Diameter at Valve

The diameter of the narrowest part of the port at the valve end of the port in millimetres. This dimension is usually slightly smaller than the valve seat inner diameter but will not be bigger than it.

Port Diameter at Manifold

The port diameter at the intake manifold face or start of the intake spigot, depending on the carburettor, throttle body or trumpet fixing method.

Valve Stem Diameter

Diameter of valve stem in millimetres. This is the diameter of the portion of the valve stem in the port.

Valve Seat Angle

The valve seat angle is half the included angle of the valve seat.

Length of Port Passage

This is the effective or mean length of the port from the valve seat surface to the manifold or spigot face in millimetres.

Tappet Clearance

This is the tappet clearance or valve train lash in millimetres. The typical value for a generated lift profile is zero.

Cam Data

The generated lift profile is based on the method described by Blair (p35-p45). The lift profile is divided into 5 phases and a 3rd order polynomial is fitted to the first two and the last two. It is important to note that this is the valve lift profile, which is the same as the cam lift profile for a direct acting camshaft but can be substantially different for a system with rockers and/or roller followers.

The first phase is known as the opening ramp. This is the phase from valve opening until the end of positive acceleration and should not be confused with the ramp that takes up the lash adjustment. The duration of this phase is usually 40 degrees. The height of the valve lift during this phase is typically 0.2 times the main lift for high performance engines and up to 0.5 times for low revving diesel engines. This value determines the amplitude of maximum positive acceleration on the opening side.

The third phase is the dwell period at maximum lift and can vary from zero to typically 10 degrees. High performance engines tend to have zero degrees dwell. The centre of the dwell period or the point of maximum lift is defined as the lobe centre.

The second phase, the main opening lift phase, is the period from the end of the up ramp until the start of the dwell phase or in the case of zero dwell, until maximum lift is reached. The acceleration is negative.

The fourth phase, the main closing lift phase, is the period from the end of the dwell phase or in the case of zero dwell, from maximum lift until the start of the closing ramp. The acceleration is negative.

The fifth phase is the closing ramp and has the same typical values as the closing ramp. It starts at the end of the main closing lift and continues to the point of valve closing. This value determines the amplitude of maximum positive acceleration on the closing side.

This method of cam profile generation starts at valve opening and ends at valve closing, thus the effect of lash or tappet clearance has already been taken into consideration and should be set to 0. The final output screen should show the inputted opening and closing values at tappet clearance. To achieve special effects the engine modeller might experiment with this to achieve special lift profiles.

By specifying a non-central lobe centre and/or different opening and closing ramp and main lift values a non-symmetrical lift profile can be generated.

The generated cam profile is stored in a file with the same name as this subsystem but with the .eco extension. It is a normal ASCI file and can be view with a standard spreadsheet program.

Valve Opening before TDC

The actual point of valve opening in degrees before top dead centre (BTDC). This is the point in a real engine where all the lash in the valve train has been taken up.

Valve Closing after TDC

The actual point of valve closing in degrees after bottom dead centre (ABDC). This is the point in a real engine where all the lash in the valve train has been taken up.

Lift of Valve

The lift of the valve from the opening point to the centre of the lobe in millimetres.

Opening Ramp Ratio

The fraction of the valve lift during the opening positive acceleration phase. (typically 0.2 for a high performance high revving engine and up to 0.5 for a low revving diesel engine)

Closing Ramp Ratio

The fraction of the valve lift during the closing positive acceleration phase. (typically 0.2 for a high performance high revving engine and up to 0.5 for a low revving diesel engine) On a symmetrical lift profile it has the same value as the opening ramp.

Opening Ramp Duration

The duration of the valve lift during the opening positive acceleration phase. The polynomial was derived for a period of 40 degrees and it is advisable to use this value.

Closing Ramp Duration

The duration of the valve lift during the closing positive acceleration phase. The polynomial was derived for a period of 40 degrees and it is advisable to use this value.

Dwell Duration

The period in degrees that the valve spends at maximum lift. Values range from zero to 10 degrees.

Cam Lobe Centre Position

The cam lobe centre is defined as the centre point of the dwell period or as the point at maximum lift for a cam with zero dwell. It can be defined in the following two ways:

  • Central – uses the centrepoint of the lift curve on a symmetrical profile
  • Degrees after valve opening – used for a non-symmetrical profile.

At the end of this the screen will display typically the following data:

NewInCreate1.gif (8583 bytes)

And after entering the final line a summary will follow that looks as follows:

NewInCreate2.gif (6956 bytes)

At this point in time it is possible to edit the data if you are not satisfied with the results. This is described in Editing an existing created cam.


Edit Cam, Port and Valve

Edit Existing Inlet Port, Valve And Cam


Editing an existing Inlet port with an Imported Cam Lift Profile

Editing an existing subsystem with an imported cam profile will open the following menu:

OldInImport1.gif (7870 bytes)

Type the number of the value to be changed and press ‘Enter”. This will open a small menu where the new value is typed in and entered. The main subsystem menu will be updated. Once all the changes has been made type ‘0’ and ‘Enter’. A summary of the cam data will be shown:

OldInImport2.gif (6050 bytes)

If more changes are required type ‘1’ and ‘Enter’ else type ‘0’ to return to the main menu.


Editing an existing Inlet port with a User Generated Cam Lift Profile

Editing an existing subsystem with a user generated cam profile will open the following menu:

OldInCreate1.gif (8548 bytes)

Type the number of the value to be changed and press ‘Enter”. This will open a small menu where the new value is typed in and entered. The main subsystem menu will be updated. Once all the changes has been made type ‘0’ and ‘Enter’. A summary of the cam data will be shown:

OldInCreate2.gif (6023 bytes)

If more changes are required type ‘1’ and ‘Enter’ else type ‘0’ to return to the main menu.


Exhaust system

Exhaust System Data


Exhaust Pipe Numbering Convention

Before the numbering convention is discussed it is necessary to first define what is meant by a pipe:

A Pipe is a piece of tube that runs from one boundary to the next with no discontinuities in between.

Boundaries:

  • Start of a pipe at the cylinder manifold face
  • End of a pipe open to the atmosphere
  • A collector (multi-pipe joint)
  • The entry to or exit from a box or plenum
  • The entry to a silencer
  • A step up or down

Note: A straight pipe connected to a gradual area change (diffuser) is not a boundary but just one pipe with 2 sections.

Pipe Numbering

Pipes are numbered in the direction of major flow starting at the cylinders and in cylinder sequence. Using this sequence the pipes connecting to the cylinder pipes are numbered next and this process is continued until the last pipe open to the atmosphere is numbered. This is demonstrated in the following example:

Example 1 : Demonstration of Pipe numbering process

This example shows the layout and pipe numbering for a four-cylinder engine fitted with a 4into2into1 pipe system fitted with a box. Each header pipe has one step in it, the collector pipe also has a step and the box has 3 outlet pipes. The numbering is shown in the following figure (also take note of what each pipe is called):

Pipe Section Numbering

Pipes with gradual area changes are subdivided into sections. These sections are also numbered in the major direction of flow. A pipe can have no less than 1 section and a maximum of 12 sections. To identify which pipe a section belongs to a section is numbered using a double index system, the first index identifies the pipe it belongs to and the second index is the section number. For example, section(2,3) means section 3 in pipe 2. Each section has to be supplied with a length dimension. This is demonstrated in the following two examples:

Example 2 : Pipe section numbering on a single cylinder engine

A single cylinder engine fitted with a megaphone exhaust system is shown. The megaphone is fitted with a small reverse cone. This engine has thus only one pipe but with the pipe divided into three sections, a parallel pipe, a diffuser and a reverse cone.

Example 3 : Pipe section numbering on a multi-cylinder engine

This example shows the same basic pipe configuration as used in Example 1 but with the steps replaced with short tapered sections.

Section Diameter Numbering Convention

A section has only one length but it has two diameters; the starting diameter and the finishing diameter. For a parallel pipe the two diameters are the same but for a taper pipe they are not. The first diameter of a pipe is numbered as 0. After that each diameter has the number of the section leading up to it. This means that the starting diameter of a section, other than the first section, will have the number of the previous section. This is shown in the next example.

Example 4 : Pipe section diameter numbering

The same pipe as in Example 2 is used but with the diameter numbers added.


Collector Modelling

The pipe boundary where 3 or more pipes join is known as a collector. Normally an exhaust collector has a number of incoming pipes and one outgoing pipe. The outgoing pipe, depending on its position in the exhaust system is known as the connector pipe or the collector pipe. When modelling a collector there are two areas of importance:

· Relative pipe angles

· Collector areas (diameters)

Pipe angles

The angles between the pipes are used to determine the loss factors in the simulation. If two pipes enter the collector parallel (zero included angle) and at some stage the gas flows from the one into the other one (making a u-turn) larger flow losses will occur compared to the case where they are at a much larger angle to each other. Refer to Figure 1.

During the creation of a pipe system the software will query the user for the included angles between the pipes. It is up to the user to ensure that he understands the pipe numbering convention to be able to supply the correct angles.

Collector Areas

When modelling the collector pipe it is usual practice to model the first area as the sum total of the areas of the incoming pipes. (As the software uses diameters this area must be converted to an effective diameter.) This is the position marked on Figures 2 and 3 as Collector. From this point further, the next area (diameter) will depend on the type of collector. In the merge collector this area is the same as the collector area.

Standard Collector Types

There are typically three standard types of collectors. They are described here with guidelines to model them.

1. Merge Collector

This collector is the most expensive and is usually only seen on high performance racing engines. The incoming pipes curve where they enter the collector (Figure 1) and has an included angle between the incoming pipes in the region of 60 degrees and an included angle between each incoming pipe and the outgoing pipe of 120 degrees. Other angles are of course possible, depending on the fabricator of the collector.

collectormerge.gif (5871 bytes)

On this type of collector it is often difficult to determine the exact position of the collector (where the incoming pipes end). The user will have to use his judgement. From current experience it appears that the effective collector point is at the intersection of the incoming pipe centre lines. The effective length for the incoming pipe will thus be up to this reflection point. The collector pipe length will start at this reflection point.

2. Tapered Collector

This is a more economic collector and is formed by deforming a piece of tube or by fabricating it from a piece of plate. The incoming pipes are usually parallel (zero included angle) but they might be at a slight angle to each other. This fabricated piece usually tapers down to section 2 of the collector pipe, from they’re the name. Refer to Figure 2.

3. Parallel Collector

This is the cheapest collector and is formed by slightly deforming the inlet of the collector pipe to follow the outside contour of the incoming pipes. The incoming pipes are usually parallel (zero included angle) but they might be at a slight angle to each other. Refer to Figure 3.

Special Collectors

X-collectors

X-collectors as used in this software is an attempt to model the collectors as used in Nascar racing. They are typically formed by curving two pipes and then welding them together with a hole in the joining area. This is shown in the next figure.

x-collector.gif (7096 bytes)

This collector is modelled as an X-collector. Most of the angles are the same as the physical angles of the collector. However, the angles between pipe 1 and 4 and between pipe 2 and 3 is specified smaller than the actual angle in an attempt to simulate the restriction of the connecting hole. A smaller hole will require a smaller angle. Typical angle sizes are as follows:

  • 1-2 0 to 45 degrees

  • 1-3 135 to 180 degrees

  • 1-4 0 to 135 degrees, 0 for a small hole and 135 degrees for a hole size similar to the pipe diameter

  • 2-3 same angle as for pipe angle 1-4

  • 2-4 same angle as for pipe angle 1-3

  • 3-4 same angle as for pipe angle 1-2

Please note that these angles are an approximation of the physical case and should be tested by the user to simulate reality as close as possible.


Modeling of Stepped Pipes

A stepped pipe is a pipe that has an abrupt change of cross sectional area, either larger or smaller. A step is considered as a pipe boundary. This means that if for instance a header pipe has a step in it, the header will be modeled as two pipes connected by a step boundary. Two steps will result in three pipes and three steps in four pipes. The program can accommodate four steps per pipe.

The following two figures show a step-up and a step-down:

In the case where a step is specified and the two cross sectional areas are within 1 percent of each other the simulation software will default to a gradual area change calculation.

Depending on the flow direction, pressure ratio across the step and the area ratio between the two pipes the simulation software will determine the value of the coefficient of discharge.

The current version of Dat4T allows steps in header (cylinder) pipes and collector pipes. No steps are allowed in connector pipes or box (plenum) outlet pipes. If steps are allowed in a pipe the user will be prompted for the number of steps in the pipe.

If steps are specified for the header pipes, all the header pipes will have that number of steps. If the user wants headers with different number of steps the recommended practice is to specify the maximum number of steps in the headers and then use equal diameter pipes on either side of the redundant or unwanted steps. The same principle applies to the collector pipes.


Modeling of Boxes and Plenums

The terminology of a “ box” and a “plenum” is both used to describe a container of a fixed volume that is connected to one or more pipes in the exhaust system. The user has to specify the box volume in cm3 and the pipe end configuration at the entry or exit from the box. The user has a choice between a sharp edge or a rounded edge for the pipe end.


Types of Exhaust Systems

There are three main general types of exhaust systems available:

  • Individual pipes per cylinder.

  • Ninto1 branch manifolds where N = number of cylinders

  • Log manifolds – this is not currently active but under development.

On top of these “normal” pipes there is a range of special pipes available depending on the engine types.

All the pipes can have one of three types of “collector outlets”:

  • Plain pipe. A normal plain opening to the atmosphere.

  • Box pipe. The system flows into a box or plenum and from there via box outlet pipes into the atmosphere.

  • Silencer pipe. Some of the silencer types are already active but in general the silencers are still under development. It is not recommended for use in this release.

Description of Main Exhaust types

These are the more common types of exhaust systems. They are general to any engine configuration and number of cylinders except for the single cylinder that for obvious reasons cannot have any sort of branch pipe.

Individual Pipes

This system has a pipe for each cylinder. These pipes can each have a box or plenum or a silencer attached or can be directly open to the atmosphere. The pipes can be stepped and be of the megaphone type. Figure 1 shows a two-cylinder engine with a stepped pipe with megaphones and box outlets.

Ninto1 Branch Manifolds

These are the so called “banana branch” type of exhaust manifolds. They are used where maximum power is the aim. The header pipes and the collector pipe can be stepped. The collector can be connected to a box/plenum, a silencer or directly open to the atmosphere.

Figure 2 shows a typical 4into1 manifold.

Log Manifolds

With a log manifold each cylinder is connected to a common pipe. This is usually not found on a high performance engine except on turbo-charged engines. This type is still under development and will be described in detail once development is completed. Figure 3 shows a four-cylinder engine with a log manifold.

Special Manifolds

V-6, V-8, Flat-6 and Flat-8 Engines

There are four special configurations:

1. Ninto2 (6into2 or 8into2) with an interconnecting pipe.

Each bank of cylinders is connected to a collector. After each collector there is another collector with an interconnecting pipe joining the two system. The layout and numbering convention is shown in Figure 4.

2. Ninto2 (6into2 or 8into2)

This is the same layout as the previous pipe but without the interconnecting pipe. The manifolds of the left and right bank operate as if they were from two separate inline engines. The system is shown in Figure 5.

3. Ninto2into1 (6into2into1 or 8into2into1) with an interconnecting pipe.

Each bank of cylinders is connected to a collector. After each collector there is another collector with an interconnecting pipe joining the two system after which the two main pipes join into a common collector pipe. The layout and numbering convention is shown in Figure 6.

4. Ninto2into1 (6into2into1 or 8into2into1)

This is the same layout as pipe no 2 with the exception that the two pipes after the main collectors join into a common collector pipe. The system is shown in Figure 7.

5. Ninto2intoX (6into2intoX or 8into2intoX) with an interconnecting pipe.

Each bank of cylinders is connected to a collector. After each collector there is another collector with an interconnecting pipe joining the two system after which the two main pipes join into a common X-collector into two outlet pipes. The layout and numbering convention is shown in the next figure.

6. Ninto2intoX (6into2intoX or 8into2intoX)

This is the same layout as pipe no 2 with the exception that the two pipes after the main collectors join into a common X-collector into two outlet pipes. The system is shown in the next figure.

American V8's only pipes

In an effort to equalize the power produced by each cylinder in an engine that uses the uneven firing order of an American V8 a special 8into4into2 pipe was produced. The following four pipes are variations of this pipe.

1. 8into4into2

2. 8into4into2into1

3. 8into4into2Interconnected

4. 8into4into2into1Interconnected

Inline 4-cylinder Engines

There are seven special configurations and they are all a variation of a 4into2into1 system:

1. Cylinders 1 and 2 into one connector pipe, 3 and 4 into another connector and the two connector pipes into a common collector pipe.

2. Cylinders 1 and 3 into one connector pipe, 2 and 4 into another connector and the two connector pipes into a common collector pipe.

3. Cylinders 1 and 4 into one connector pipe, 2 and 3 into another connector and the two connector pipes into a common collector pipe.

4 . Pipes 4, 5 and 6 are the same as the previous three except the last collector is a cross connector that exits into 2 outlet collector pipes.

5. Pipe 7 is the same as pipe 1 with the addition of cross connecting pipes, connecting header 1 with 4 and header 2 with 3.

Two-cylinder Engines

There are two special pipe configurations:

1. 2into1into2

The two header pipes are joined by a connector pipe, which then splits into two pipes again.

2. 2into2 with an interconnection

The two header pipes are separate but joined by an interconnecting pipe. This is a typical layout for a Ducati V2 engine.

Special Box or Plenum Pipes

There are two special Box pipes depending on the engine layout:

1. One common box on an Inline multi-cylinder.

All the headers go directly into a common box.

2. Two common boxes, one per bank on a Vee or Flat engine

All the headers per cylinder bank go directly into one of the boxes.


Creating a New Exhaust System

When a new exhaust system is created the user choose firstly the type of manifold and then the type of “collector or outlet” system. The manifold choices displayed depend on the number of cylinders and the type of engine (inline, vee or flat). Once this choice is made the user chooses the type of outlet. Three types of outlets are possible:

· Open ended pipe – a plain pipe open to the atmosphere

· Box pipe – the pipe(s) connects to a box(es) and from there to the atmosphere

· Silencer type – the outlet pipe(s) is fitted with a silencer.

The example shown in the following figures is a four-cylinder engine fitted with a box in the collector pipe. It has one step per header and one step per collector pipe. The box has two outlet pipes.

The first screen looks as follows:

On the following screen the user is asked for the type of pipe end to the atmosphere and at the entrance to and exit from the exhaust box.

The next screen asks the number of sections in header pipe 1. This is followed by the question whether the primary headers (the headers connected to the cylinder head) are identical or not. If the headers are the same length and diameter this shortcut saves the time to input the data for each header individually. In this case they are identical.

Because there is one step per header the number of sections in the secondary headers (the headers following the first step) are required. The same shortcut for identical secondary headers are available.

The collector pipe has one step in it resulting in two pipes. The user is asked for the number of sections in each pipe. Following this the user is asked for the number of sections in each box outlet pipe.

At this point the configuration of the system is fixed and the user has to start supplying the dimensions. The length of each section in each pipe is required. Because we chose identical primary headers, identical secondary headers and one section in each pipe the amount of data required is small. It is possible to choose non identical headers and up to 12 sections in each pipe which would have resulted in a much larger number of data points to enter.

The first screen requires the length for the primary headers.

The length of the secondary headers follows this.

Then the length for the first and second collector pipe,

Followed by the lengths of the box outlet pipes.

Once all the lengths are supplied the user is prompted for the angles between the pipes entering the collector. The software automatically indexes the pipes but it is up to the user to identify which pipe is which.

Next the volume of the box has to be supplied.

The diameters are supplied next in the same order as the pipe lengths. Note that if the headers were chosen to be identical only the diameters for the first pipe have to be supplied.


Creating a New Exhaust System

Editing an Existing Exhaust System Lengths, Collectors or Plenums

The length file contains the pipe lengths and also the type of pipe system, the collector angles and the box volumes.

When an exhaust system is edited the user choose firstly whether to create a new system or to edit the existing system. The first screen tells the user what type of system it is and then prompts the user to make the choice between editing it or to change the system completely.

We choose to edit the existing pipe and the next screen appears:

This screen adds to the previous screen with a list of the pipes and their numbers. We choose to edit the collector pipe, pipe no 5. By entering 5 we go to the next screen:

After making the required changes by selecting the line number and then entering the new value we return to the main exhaust pipe menu by entering “0”. Once we have made all the changes to the pipe lengths and/or number of sections we enter “0” on the main menu and move to the next screen that allows the editing of the collectors:

This pipe has only one collector and by choosing it we get to the following screen where we can now change the angles between the pipes making up the collector.

Once the collector angles have been edited we enter “0” and return to the main Project editing menu. If the system contained boxes or plenums we would have gone to a screen that allows the editing of the box volumes first before returning to the main menu.


Creating a New Exhaust System

Editing an Existing Exhaust System Diameters

The diameter file contains the pipe diameters only.

The first screen tells the user what type of system it is, gives the pipe types and numbers and then prompts the user to choose the pipe number to be edited:

This screen adds to the previous screen with a list of the pipes and their numbers. We choose to edit the collector pipe, pipe no 5. By entering 5 we go to the next screen:

After making the required changes by selecting the line number and then entering the new value we return to the main exhaust pipe menu by entering “0”. Once we have made all the changes to the pipe lengths we enter “0” on the main exhaust diameter menu and return to the project editing menu.


Creating a New Exhaust System

Changing an Existing Exhaust System

To change an existing exhaust system to a new configuration the user chooses option 4 on the main menu screen: “ 4 Exhaust pipe section lengths”

When an exhaust system length file is edited the user choose firstly whether to create a new system or to edit the existing system. The first screen tells the user what type of system it is and then prompts the user to make the choice between editing it or to change the system completely.

We choose to change the type of pipe and the New Exhaust System screen appears from where the data for the new pipe is entered.


Silencers

This section describes the modeling of silencers


Introduction to Silencers

The silencer models included in the software are there purely to allow the correct gasdynamics to be predicted in the pipes. At a much later stage the noise emissions will be predicted. The silencer models are not yet fully debugged and will mostly only work on single cylinder engines or pipes with a single outlet but not on all. It is recommended that chapter 7 of reference 1 be read first.

The silencers in the current version is used at the users own risk.

Before the silencer models can be described it is first necessary to briefly describe two sub-models.

1. Butted Joints

Butted joints or flush entry or exit of a pipe is the case where a pipe enters or exits a silencer and stops or starts flush with the wall. If the main silencer is modeled as a pipe the butted joint is nothing more than a stepped pipe as described in Stepped pipes. The basics are repeated in the next figure. If the main silencer is modeled as a plenum the entry or exit type has no influence.

2. Re-entry Pipes

Re-entry pipes are a common occurrence in industrial type silencers. Basically the pipe entering or exiting the silencer protrudes past the silencer wall as shown in the next figure. If the main silencer is modeled as a plenum this has no effect but if the main silencer is modeled as a tube (to correctly account for the wave action) the end of the pipe is modeled as a three way branch as shown in the figure. The software will automatically calculate the pipe lengths and diameters and branch angles from the user input data.

Including a silencer in the simulation dramatically slows down the simulation so must be avoided if possible. The following screen shows the possible options currently available.


Simple Plenum Silencer

The simplest form of a silencer is a simple plenum. There is no real difference between a pipe with a plenum silencer and a box pipe. If the silencer is relatively short in that the wave action in the silencer tube is negligible using the simple plenum silencer is acceptable but if the wave action is of importance it is better to model the silencer as a diffusing silencer. Note where the main exhaust pipe ends and the silencer starts.

Even though the user has to supply the diameter and length of the outer tube it is used purely to calculate the plenum volume. The following figure shows a typical input screen.


Diffusing Silencer

The following two figures shows the layout of typical diffusing silencers. The first figure shows a single plenum silencer with a re-entry inlet and a re-entry outlet. Its internals will be modeled as two three-way branches. The second figure shows a two-plenum silencer with the first plenum having the same layout as in the first picture but with a plenum added. The second plenum has a re-entry inlet but a flush outlet pipe. Its internals will be modeled as three three-way branches and one stepped pipe. At the moment the program does not cater for re-entry pipes that overlaps each other. The plenums does not have to be against each other but the user has to take care in not entering physical impossible data as the internal error checking of the software has not been developed yet.

The following figure shows a typical input screen for the second silencer.

Note that in this case sum of the inlet and outlet re-entry lengths of the interconnecting tube 1 is equal to the length of the interconnecting tube. If the sum was smaller it would mean that plenum 1 and plenum 2 were not against each other. If the sum was greater the model would have no physical meaning.


Side Resonant Silencer

The side resonant silencer has a inner tube that has a few holes in roughly the center of the tube as shown in the following figure. If the length of the perforation exceeds about one third of the silencer length the silencer should rather be modeled as an absorption silencer will low density packing. Note where the main exhaust stops and the silencer begins. The silencer is modeled as a tube with a three-way branch with the side branch connected to a plenum as shown in the second figure. The main exhaust and the outlet pipe are connected to the silencer using steps.

The length and diameter of the side branch and the volume of the plenum is calculated by the software. The steps, which can be step-up or step-down steps are also calculated by the software. The following picture shows the typical input data.


Absorption Silencer

The absorption silencer is the most common high performance engine silencer. Correctly sized it has almost no negative effect on the engine performance. It is commonly known as a "free flow" silencer. It consists of a straight through inner tube that is perforated and with the space between the inner and outer tube packed with some absorption material like glass wool. The number and size of the holes define the "opacity" of the silencer and the density of the packing the "density" of the silencer. The following figure shows the main dimensions of an absorption silencer.

Depending on the opacity of the silencer one of two ways can be used to model the silencer.

1: Absorption Silencer modeled as branches with interconnected plenums

For an opacity of less than 0.25 the silencer is modeled as a series of branches with side plenums, almost like a row of side-resonant silencers. The plenums are connected with interconnecting pipes of which the diameter depends on the density. The side branch diameter depends on the opacity and the plenum volume on the total silencer volume. The following figure shows the internal modeling as performed by the software.

The software determines all the relevant dimensions from the main dimensions as supplied by the user. The next screen shows a typical example of the input data.

2: Absorption Silencer modeled as a series of inline plenums and pipes

For an opacity of more than 0.25 the silencer is modeled as a series of inline plenums connected by short pipes. The following figure shows te internal modeling as performed by the software.

The software determines all the relevant dimensions from the main dimensions as supplied by the user. The next screen shows a typical example of the input data.


Multiple Plenum Silencer

This type of silencer is fairly common among chainsaw and lawnmower engines and typically consists of two chambers or plenums as shown in the next figure. They differ from the diffusing silencer in that the re-entrant pipes overlap and that the plenum is short with a large diameter with little discernable wave action.

The following screen shows the typical input data for a small two-chamber silencer.

The entry type (re-entry or flush) does not currently have an effect but at a later stage will influence the Cd-map used at the pipe entrance.


Intake Subsystem

Intake System Data


Exhaust Pipe Numbering Convention

Inlet Pipe Numbering Convention

Before the numbering convention is discussed it is necessary to first define what is meant by a pipe:

A Pipe is a piece of tube that runs from one boundary to the next with no discontinuities in between.

Boundaries:

  • End of a pipe at the cylinder manifold face
  • Start of a pipe open to the atmosphere
  • A collector (multi-pipe joint)
  • The entry to or exit from a box or plenum
  • The entry to or exit from a throttle

Note: A straight pipe connected to a gradual area change (diffuser) is not a boundary but just one pipe with 2 sections.

Pipe Numbering

Pipes are numbered in the opposite direction of major flow starting at the cylinders and in cylinder sequence. Using this sequence the pipes connecting to the cylinder pipes are numbered next and this process is continued until the last pipe open to the atmosphere is numbered. This is demonstrated in the following example:

Example 1 : Demonstration of Pipe numbering process

This example shows the layout and pipe numbering for a four-cylinder engine fitted with a 4into1 pipe system fitted with a box. Each cylinder pipe has one throttle in it and the box has 3 inlet pipes. The numbering is shown in the following figure (also take note of what each pipe is called):

The pipes connecting directly to the cylinder head (called cylinder pipes) are numbered first, followed by the throttle body pipes (the pipes leading up to the throttles), then the collector pipe followed by the box inlet pipes.

The exception to this rule is when a boost bottle is employed. The pipes on an engine with boost bottles are numbered from the cylinder head until a collector, an open end or a box/plenum is encountered and then the boost bottle pipes are numbered before the collector or box inlet pipes. This is illustrated in the next example:

Example 2 : Numbering with a boost bottle in the system

Note how the pipes are numbered from the cylinder up to the atmospheric inlet and only then the boost bottle pipe is numbered.

Pipe Section Numbering

Pipes with gradual area changes are subdivided into sections. These sections are also numbered in the major direction of flow. A pipe can have no less than 1 section and a maximum of 12 sections. To identify which pipe a section belongs to a section is numbered using a double index system, the first index identifies the pipe it belongs to and the second index is the section number. For example, section(2,3) means section 3 in pipe 2. This is demonstrated in the following two examples:

Example 3 : Pipe section numbering on a single cylinder engine

A single cylinder engine fitted with a bell mouth and throttle system is shown. The throttle body is fitted with a small cone, the bell mouth or velocity stack. To model this engine one uses two inlet pipes with the throttle body pipe, pipe 2, divided into three sections, a tapered pipe, a parallel pipe and another tapered pipe.

The first tapered pipe, pipe2 section 1, simulates the bell mouth. The second tapered pipe, pipe2 section 3, simulates the venturi. The pipe connecting the venturi to the cylinder head, pipe 1, is modelled here as a gradually tapering pipe.

Note how the pipes are numbered starting from the cylinder head interface to the atmospheric entry while the sections in each pipe are numbered in the direction of the flow.

The user is free to model each pipe with as many sections as required (with a maximum of 12 per pipe); this layout is just one possibility for an intake with a throttle and a venturi. It is the responsibility of the user to model the real situation as close as possible to ensure accurate results.

Example 4 : Pipe section numbering on a multi-cylinder engine

This example shows the same basic pipe configuration as used in Example 1 but with the throttles replaced with short tapered sections. This results in a reduction in the number of pipes. Notice how the pipes are numbered against the flow direction but the sections in the direction of flow.

Section Diameter Numbering Convention

A section has only one length but it has two diameters; the starting diameter and the finishing diameter. For a parallel pipe the two diameters are the same but for a taper pipe they are not. The first diameter of a pipe is numbered as 0. After that each diameter has the number of the section leading up to it. This means that the starting diameter of a section, other than the first section, will have the number of the previous section. This is shown in the next example.

Example 4 : Pipe section diameter numbering

A similar pipe as in Example 3 is used but with the diameter numbers added.


Inlet End Correction

The reflection from the open end of a pipe is not really from the end of the pipe but from a point a short distance outside the pipe because of 3-dimensional effects. This effect is usually ignored on longish pipes but can cause large errors in the phasing of the pulses in short pipes. The main concern here is the tuning of the primary inlet pipe(s), the one(s) connected to a cylinder(s) and only if they end in an air box or are open to the atmosphere. It is standard practice (refer to reference [2]) to use a point a distance of half the inlet diameter outside the entry as the reflection point. It is left to the modeler to add this extra length to the primary intake length.

Parallel walled ram tube

The correction added to a parallel walled ram tube (velocity stack) is relatively simple and is shown in the next figures. The first figure shows the basic geometry and the second figure shows the way to add the correction length. As the pipe has a constant cross sectional diameter the correction length is half this diameter.

The boundary condition for this type of intake is either “sharp edged” or “radiused”, depending on the physical end of the ram tube.

Taper walled ram tube

The correction added to a taper walled ram tube (velocity stack) is slightly more complex and is shown in the next figures. The first figure shows the basic geometry and the second figure shows the way to add the correction length. The straight walls are extended to the end of the ram tube and half of this diameter is used for the correction length.

The boundary condition for this type of intake is either “sharp edged” or “radiused”, depending on the physical end of the ram tube.

Curved wall ram tube (fully developed bell mouth)

The correction added to a curved wall ram tube (velocity stack) is more complex and is shown in the next figures. The first figure shows the basic geometry and the second figure shows the way to add the correction length. The modeler has to use his best judgement to fit a straight line through the curved side and the diameter where these lines exit the bell mouth is then used in the calculation of the end correction.

The boundary condition for this type of intake is always “radiused”.


Throttle Boundary Condition

The intake systems of most internal combustion engines have a throttle somewhere in the system. Dat4T allows the modelling of three types of throttles in three possible positions in the intake system. The throttle types are:

· Butterfly type. This is the conventional throttle that uses a throttle plate on a spindle. At full throttle the spindle forms a restriction. The user has to supply the spindle diameter from which the program calculates the effective flow area.

· Plate Throttle. The plate throttle is a plate that slides completely out the way with only the slot in which it slides having a slight effect on the flow. It is usually used with fuel injection systems on very high performance competition engines.

· Slide Throttle. This is the typical motorcycle carburettor layout. It usually has a metering needle running through the centre of the bore. The needle, the slots the slide move in and the shape of the exposed throttle slide are the only factors influencing the flow.

Once the user has specified the throttle type the software will automatically choose the correct Cd-map. Currently only full throttle operation is simulated.

The throttles can be used in the following three positions (note the pipe and section numbering sequence):

· In the cylinder pipes. This is the most conventional layout for high performance competition engines with either a carburettor or a fuel injection system per cylinder.

· · In the collector pipe. Some engines use a collector type inlet manifold connected to a single carburettor.

· · In the plenum intake pipe(s). Certain engines have an intake system where all the cylinder pipes are connected to a small plenum with a multi-barrel carburettor feeding the plenum.


Modeling of Boxes and Plenums

The terminology of a “ box” and a “plenum” is both used to describe a container of a fixed volume that is connected to one or more pipes in the intake system. The user has to specify the box volume in cm3 and the pipe end configuration at the entry or exit from the box. The user has a choice between a sharp edge and a rounded edge for the pipe end.

An inlet box can be used to simulate an air cleaner box, a resonating chamber (called a boost bottle) or a collector with a large volume (typically the cavity under the carburetor of a V-8 intake manifold to which the cylinder pipes connect).


Types of Exhaust Systems

Types of Intake Systems

There are three main general types of intake systems available:

· Individual pipes per cylinder

· 1intoN branch manifolds where n = number of cylinders

· Log manifolds – this is not currently active but under development.

On top of these “normal” pipes there is a range of special pipes available depending on the engine types.

All the pipes can have one of two types of “atmospheric inlets”:

· Plain pipe. A normal plain opening to the atmosphere.

· Box pipe. The air flows from the atmosphere into a box or plenum and from there via box outlet pipes into the intake system.

Description of Main Intake types

These are the more common types of intake systems. They are general to any engine configuration and number of cylinders except for the single cylinder that for obvious reasons cannot have any sort of branch pipe.

Individual Pipes

This system has a pipe for each cylinder. These pipes can each have a box or plenum attached or can be directly open to the atmosphere. The pipes can have throttles and boost bottles. Figure 1 shows a two-cylinder engine with throttles, with ram tubes and box inlets.

1intoN Branch Manifolds

These are usually a cheaper type of intake manifold with a single carburetor. They are used where economy of production is the aim. The cylinder pipes or the collector pipe can have a throttle. The collector can be connected to a box/plenum or directly open to the atmosphere.

Figure 2 shows a typical 4into1 manifold.

Log Manifolds

With a log manifold each cylinder is connected to a common pipe. This is usually not found on a high performance engine except on turbo-charged engines. This type is still under development and will be described in detail once development is completed. Figure 3 shows a four-cylinder engine with a log manifold. Note the direction of flow.

Special Manifolds

Special Box or Plenum Pipes

There are two special Box pipes depending on the engine layout:

One common box on a multi-cylinder engine with individual cylinder pipes

All the cylinder pipes go directly into a common box. The box can have multiple inlet pipes. A typical collector type inlet manifold on a V-8 with a four barrel down draught carburetor can be modeled using this manifold with a small plenum volume.

Two common boxes, one per bank on a Vee or Flat engine, with a common intake

All the cylinder pipes per bank go directly into one of the boxes. The intake to the two boxes are joined and has a common intake that can be fitted with a throttle.

Two common boxes, one per bank on a Vee or Flat engine, with a common intake and an inter connector pipe between the two plenums

All the cylinder pipes per bank go directly into one of the boxes. The intake to the two boxes are joined and has a common intake that can be fitted with a throttle. The two plenums are connected through a connecting pipe.


Creating a New Exhaust System

Creating a New Inlet System

When a new inlet system is created the user choose firstly the type of manifold and then the type of “collector or inlet” system. The manifold choices displayed depend on the number of cylinders and the type of engine (inline, vee or flat). Once this choice is made the user chooses the type of inlet. Two types of inlets are possible:

· Open ended pipe – a plain pipe open to the atmosphere

· Box pipe – the pipe(s) connects to a box(es) from the atmosphere

The example shown in the following figure is a four-cylinder engine fitted with an air box and a throttle in the collector pipe.

The first screen looks as follows:

The choices were a collector type pipe, a box type collector, a throttle in the collector pipe, a butterfly throttle with a 6mm spindle and no boost bottles.

On the following screen the user is asked for the type of pipe entrance from the atmosphere and at the entrance to and exit from the air box.

The next screen asks the number of sections in cylinder pipe 1. This is followed by the same question for cylinder pipe 2 to 4 but those screens are not shown.

The collector pipe has three sections in. This screen is not shown. The following screen asks for the number of sections in the throttle body and 3 is chosen.

Next the number of sections in the air box inlet pipe is asked and in this case 1 is chosen.

At this point the configuration of the system is fixed and the user has to start supplying the dimensions. The length of each section in each pipe is required. It is possible to choose up to 12 sections in each pipe which would have resulted in a much larger number of data points to enter.

The first screen requires the length for cylinder pipe 1.

Similar screens (but not shown here) follow this for each cylinder pipe. Next, the lengths for the three sections in the collector pipe are entered.

The lengths for the throttle body sections follow this.

Followed by the lengths of the air box inlet pipe.

Once all the lengths are supplied the user is prompted for the angles between the pipes entering the collector. The software automatically indexes the pipes but it is up to the user to identify which pipe is which.

Next the volume of the air box has to be supplied.

The diameters are supplied next in the same order as the pipe lengths.

This is followed by the diameters for the air box inlet pipe.


Creating a New Exhaust System

Editing an Existing Inlet System Lengths, Volumes, Collectors or Throttles

The length file contains the pipe lengths and also the type of pipe system, the collector angles and the box volumes.

When an inlet system is edited the user choose firstly whether to create a new system or to edit the existing system. The first screen tells the user what type of system it is and then prompts the user to make the choice between editing it or to change the system completely.

We choose to edit the existing pipe and the next screen appears:

This screen adds to the previous screen with a list of the pipes and their numbers. We choose to edit a throttle body pipe, pipe no 14. By entering 14 we go to the next screen:

After making the required changes by selecting the line number and then entering the new value we return to the main inlet pipe menu by entering “0”. Once we have made all the changes to the pipe lengths and/or number of sections we enter “0” on the main menu and move to the next screen. If there were collectors, the next screen would show collectors. This pipe has no collectors so this screen is bypassed for this example.

The system has one plenum so the next screen displayed allows the editing of the plenum volume:

Once the plenum volume has been changed the next screen allows the type of throttle to be changed but only if there is a throttle. The next example shows that it has butterfly throttles with a spindle diameter of 6mm. This configuration is kept but the spindle diameter is changed.

From this screen the user is returned to the main Intake editing screen.


Creating a New Exhaust System

Editing an Existing Inlet System Diameters

The diameter file contains the pipe diameters only.

The first screen tells the user what type of system it is, gives the pipe types and numbers and then prompts the user to choose the pipe number to be edited:

This screen adds to the previous screen with a list of the pipes and their numbers. We choose to edit the throttle body pipe, pipe no 13. By entering 13 we go to the next screen:

After making the required changes by selecting the line number and then entering the new value we return to the main inlet pipe menu by entering “0”. Once we have made all the changes to the pipe lengths we enter “0” on the main inlet diameter menu and return to the project editing menu.


Creating a New Exhaust System

Changing an Existing Inlet System

To change an existing inlet system to a new configuration the user chooses option 6 on the main menu screen: “ 6 Inlet tract section lengths”

When an inlet system length file is edited the user choose firstly whether to create a new system or to edit the existing system. The first screen tells the user what type of system it is and then prompts the user to make the choice between editing it or to change the system completely.

We choose to change the type of inlet system and the New Inlet System screen appears from where the data for the new pipe is entered.


Combustion and Ignition Subsystem

Combustion, Mixture and Timing Data


Creating a new Combustion Subsystem

The combustion modelling in EngMod4T is based on the mass fraction burnt principle. It uses a Vibe curve fitted to the mass fraction burnt as a function of combustion duration in degrees. The values for the Vibe function have to be supplied by the user. This is one of the major areas of uncertainty in the current version of the software. There are three ways of obtaining the values for the Vibe function:

  • Measured values. This is by far the most accurate and the hardest to obtain. It has the further draw back that the engine must be in a state fit for testing.
  • Simulated results. Using full 3-dimensional Computational Fluid Dynamic software to model the combustion.
  • Average values. In Blair’s book is a range of tested values for typical engines. It is the best way to obtain reasonable values.

Part of the unknowns is the ignition delay and the burn duration. Refer to Blair’s book for a more detailed description.

Combustion Efficiency

This value takes care of all the little factors that could not be accounted for in sub models and has a typical value of 0.85.

Fuel Type

The current version of the software allows a choice of 6 different type of fuels for spark ignition engines:

By choosing a fuel the software provides the latent heat of evaporation, lower calorific value and the carbon and hydrogen ratios.

RPM

This is the points at which the combustion model values are supplied. If measured values are available there will be a range of rpm values used. If the values from Blair’s book are used there will typically be only one point. The software interpolates between these values if a simulation is requested that does not correspond to one of the values. If the requested simulation is lower than the minimum value supplied, it will use this minimum value and not extrapolate. The same goes for the case where the requested simulation is at higher a higher value than supplied, it will then use the highest supplied value. In the case where only one value was supplied, that value will be used for all the simulations.

Timing

This is the ignition timing (the point where the engine sparks) in degrees before TDC.

AFR (Air/fuel ratio)

The ratio of the mass of air to the mass of fuel in the fresh charge. A smaller number means a richer mixture. A typical value is 12. (12kg air to 1kg fuel)

Delay (Combustion delay)

The period in degrees from the spark to the start of combustion. Typical values for the delay range from 10degrees to 25degrees.

Duration (Combustion duration)

This is the period from the onset of combustion (the end of the delay period) to the point where the combustion has been completed for practical purposes.

VibeA

The first of the Vibe constants. A typical value is 6.02.

VibeB

The second Vibe constant. It has a typical value of 1.64.


When editting an existing combustion subsystem the following menu will appear:

Editing Existing Combustion Data

When editing an existing combustion subsystem the following menu will appear (the values shown here are the measured values for the Yamaha 5 valve YZ400, note how slow the combustion is and how it deteriorate with increasing rpm) :

The data on this menu has two levels. Choosing line 1 or 2 to edit will only change the value in those lines. Choosing a value of 3 or higher will jump to the next menu. By choosing as an example to change line 8, the following menu appears:

After the required changes have been made the program returns to the previous menu but with the new values now displayed in line 8. Once all the changes have been made, choose zero and “Enter” to return to the main menu.


Temperatures

Temperatures and Pressures


Temperature Data

Description of Temperature and Atmospheric Data

When creating a new temperature subsystem the program will prompt you with a list of questions. They are described in this section.

Inlet System Wall Temperature

This is the inlet duct system internal wall temperature and will be used for all the inlet ducts and boxes excluding the inlet ports. (Typically about 25 degrees Celsius)

Inlet Port Wall Temperature

This is the inlet port internal wall temperature and will be used for all the inlet ports. (Typically about 150 degrees Celsius but it varies from engine to engine, especially between air and water cooled engines)

Exhaust Port Wall Temperature

This is the exhaust port internal wall temperature and will be used for all the exhaust ports. (Typically about 250 degrees Celsius but it varies from engine to engine, especially between air and water cooled engines)

Exhaust Wall Temperature

This is the inside surface temperature of the exhaust headers. On a multi-pipe system the collector and connector pipe wall temperatures are scaled inside the program. This value in conjunction with the simulation rpm and the maximum power rpm is also used to calculate the exhaust gas start-up temperature. (Typically 350 to 450 degrees Celsius)

Piston Crown Temperature

This is the average surface temperature of the piston crown in centigrade. Typically a value of 250 degrees Celsius is used. This value in conjunction with the cylinder liner and combustion chamber surface temperature is used to calculate the heat flux from or into the cylinder.

Cylinder Head Temperature

This is the average temperature of the combustion chamber surface in centigrade. Typically a value of 200 degrees Celsius is used. This value in conjunction with the cylinder liner and piston crown surface temperature is used to calculate the heat flux from or into the cylinder.

Cylinder Liner Temperature

This is the average surface temperature of the cylinder liner in centigrade. Typically a value of 150 degrees Celsius is used. This value in conjunction with the piston crown and combustion chamber surface temperature is used to calculate the heat flux from or into the cylinder.

Atmospheric Temperature

This is the atmospheric temperature at which the simulation is required to give the output predictions. The standard value is 20 degrees Celcius.

Atmospheric Pressure

This is the atmospheric pressure at which the simulation is required to give the output predictions. The standard value is 101.325 kPa.


Old Temperatures

Editing Existing Temperature and Atmospheric Data

When choosing to edit the temperature data from the main menu a temperature submenu is displayed with the current temperature and atmospheric characteristics. Choose the value to be changed and implement the change.

OldTemperatures.gif (6167 bytes)

Once the values have been changed enter “0” to return to the main menu. Refer to New Temperatures for an explanation of the variables.


References


List of recommended references:

1. Design and Simulation of Four-Stroke Engines. Gordon P. Blair, SAE R-186, 1999. ISBN 0-7680-0440-3

2. The accuracy of calculating wave action in engine intake manifolds. Winterbone DE and Yoshitomi M, SAE900677, 1990.


The engine data file has the extension

The engine data file has the extension .eng, it specifies the type of induction and ignition and contains the engine geometric data as well as the engine surface temperature data. It also includes the atmospheric conditions and some simulation control data.